#!/bin/bash

VER=1.76
DIR="releases/palmve-${VER}"
ARCHIVE="${DIR}.tgz"
SIG="${DIR}.sig"
SUM="${DIR}.sum"

rm -rf "${DIR}" "${SIG}" "${ARCHIVE}"
git clone . "${DIR}"
rm -rf "${DIR}/src/android/private/" "${DIR}/.git" "${DIR}/data/pools/pre-room-pools.tgz" "${DIR}/data/pools/old-pools/"
find "${DIR}" -name .gitignore -exec rm -f {} \;
tar vczf "${ARCHIVE}" "${DIR}"

gpg --output "${SIG}" -a --detach-sig "${ARCHIVE}"
sha256sum "${ARCHIVE}" > "${SUM}"
rm -rf "${DIR}"
