package net.rten.palmve;

import androidx.test.core.app.ApplicationProvider;

import net.rten.palmve.repository.TestHistoryRepo;

import javax.inject.Singleton;

import dagger.Module;
import dagger.Provides;
import dagger.hilt.components.SingletonComponent;
import dagger.hilt.testing.TestInstallIn;

@Module
@TestInstallIn(components = SingletonComponent.class,
        replaces = TestHistoryRepo.class)
public class TestTestHistoryModule {

    @Singleton
    @Provides
    public static TestHistoryRepo provideTestHistory(TestEnvironment env) {
        return new TestHistoryRepo(ApplicationProvider.getApplicationContext(),
                env.getHistoryDbFile().toString());
    }

}
