/*
 * PalmVE - Android amateur radio test practice program
 * Copyright (C) 2010 Michael A Ballbach
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.rten.palmve;

import android.app.AlertDialog;
import android.content.Context;
import android.text.SpannableString;
import android.text.method.LinkMovementMethod;
import android.text.util.Linkify;
import android.util.TypedValue;
import android.widget.TextView;

public class AboutBox {
    /**
     * Returns an alert dialog suitable for showing application information.
     */
    static public AlertDialog getAboutBox(Context context) {
        final TextView linkView = new TextView(context);
        final SpannableString markup = new SpannableString(context
                .getText(R.string.AboutBox_Text));
        Linkify.addLinks(markup, Linkify.WEB_URLS | Linkify.EMAIL_ADDRESSES);
        linkView.setText(markup);
        linkView.setMovementMethod(LinkMovementMethod.getInstance());
        linkView.setPadding(5, 5, 5, 5);
        linkView.setTextSize(TypedValue.COMPLEX_UNIT_SP, 18);

        final AlertDialog.Builder b = new AlertDialog.Builder(context);
        b.setPositiveButton(R.string.Standard_OK, null);
        b.setTitle(R.string.AboutBox_Title);
        b.setIcon(R.drawable.icon);
        b.setView(linkView);
        return b.create();
    }
}
