/*
 * PalmVE - Android amateur radio test practice program
 * Copyright (C) 2010 Michael A Ballbach
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.rten.palmve;

import android.content.Context;
import android.view.View;
import android.widget.RelativeLayout;
import android.widget.TextView;

/**
 * An item in the pool list. Handles updating the UI based on pool changes.
 *
 * @author ballbach
 */
public class PoolListAlert implements PoolListItem {
    private RelativeLayout _layout;
    private TextView _line1, _line2;

    public void setContext(Context context) {
        _layout = (RelativeLayout) View.inflate(context, R.layout.pool_item_alert, null);
        _line1 = _layout.findViewById(R.id.poolItemAlertFirstLine);
        _line2 = _layout.findViewById(R.id.poolItemAlertSecondLine);
        _layout.setTag(this);
    }

    public View getView() {
        return _layout;
    }

    public void setListObject(Object object) {
        if (object != null) {
            String[] _strings = (String[]) object;
            _line1.setText(_strings[0]);
            _line2.setText(_strings[1]);
        }
    }
}
