package net.rten.palmve.activities;

import android.content.Intent;

import androidx.lifecycle.ViewModelProvider;

import net.rten.palmve.data.pool.ElementView;
import net.rten.palmve.data.pool.SubElementView;
import net.rten.palmve.models.ElementModel;
import net.rten.palmve.repository.PoolRepo;

import javax.inject.Inject;

import dagger.hilt.android.AndroidEntryPoint;

@AndroidEntryPoint
public class ElementActivity extends GenericListActivity<ElementView, SubElementView, ElementModel> {
    public static final String INTENT_ELEMENT_ID = "elementId";

    @Inject
    protected PoolRepo _pools;

    @Override
    protected ElementModel makeModel() {
        ElementModel model = new ViewModelProvider(this).get(ElementModel.class);
        model.setPrimaryId(getIntent().getIntExtra(INTENT_ELEMENT_ID, 0));
        model.setUp(_pools.getLocalPoolById(getPoolId()).getRoomDb());
        return model;
    }

    @Override
    public void onItemIdClicked(long id) {
        Intent intent = new Intent(this, SubElementActivity.class);
        intent.putExtra(GenericListActivity.INTENT_POOL_ID, getPoolId());
        intent.putExtra(SubElementActivity.INTENT_SUBELEMENT_ID, id);
        startActivity(intent);
    }
}