package net.rten.palmve.data.pool;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.ForeignKey;
import androidx.room.Index;
import androidx.room.PrimaryKey;

@SuppressWarnings({"unused", "RedundantSuppression"})
@Entity(
        foreignKeys = {
                @ForeignKey(
                        entity = Question.class,
                        parentColumns = "_id",
                        childColumns = "question"
                )},
        indices = {@Index(value = "question")}
)
public class Answer {
    @PrimaryKey
    @ColumnInfo(name = "_id")
    public Integer id;
    public Integer question;
    @ColumnInfo(name = "letter")
    public AnswerCode answer;

    public enum AnswerCode {A, B, C, D}
}
