package net.rten.palmve.data.pool;

import androidx.room.DatabaseView;

@DatabaseView(
    "SELECT Answer._id AS id, SubElement.designation AS subElement, " +
            "Question._id as questionId, " +
            "QuestionGroup.letter AS questionGroup, Question.tag as questionTag, " +
            "Answer.letter, FTS_Answer.description AS answerText " +
            "FROM Answer " +
            "INNER JOIN Question ON Question._id = Answer.question " +
            "INNER JOIN QuestionGroup ON QuestionGroup._id = Question.questiongroup " +
            "INNER JOIN SubElement ON SubElement._id = QuestionGroup.subelement " +
            "INNER JOIN FTS_Answer ON FTS_Answer.rowid = Answer._id"
)
public class AnswerView extends PoolItemWithId {
    public Integer questionId;
    public String subElement;
    public String questionGroup;
    public String questionTag;
    public String letter;
    public String answerText;
}