package net.rten.palmve.data.pool;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.ForeignKey;
import androidx.room.Index;
import androidx.room.PrimaryKey;

@Entity(foreignKeys = {
        @ForeignKey(
                entity = QuestionGroup.class,
                parentColumns = "_id",
                childColumns = "questiongroup"
        ),
        @ForeignKey(
                entity = Figure.class,
                parentColumns = "_id",
                childColumns = "figure"
        )},
        indices = {@Index(value = "questiongroup"), @Index(value = "figure")}
)
public class Question {
    @PrimaryKey
    @ColumnInfo(name = "_id")
    public Long id;
    @ColumnInfo(name = "questiongroup")
    public Integer questionGroup;
    public String tag;
    @ColumnInfo(name = "withdrawn")
    public Boolean isWithdrawn;
    @ColumnInfo(name = "rightanswer")
    public String rightAnswer;
    public Integer figure;
}
