package net.rten.palmve.data.pool;

import androidx.lifecycle.LiveData;
import androidx.room.Dao;
import androidx.room.Query;

import java.util.List;

@Dao
public interface QuestionGroupDao {
    @Query("SELECT * FROM QuestionGroupView WHERE id = :questionGroupId")
    LiveData<QuestionGroupView> questionGroupById(long questionGroupId);

    @Query("SELECT * FROM QuestionGroupView WHERE subElementId = :subElementId")
    List<QuestionGroupView> questionGroupsInSubElement(long subElementId);

    @Query("SELECT * FROM QuestionGroupView WHERE subElementId = :subElementId")
    LiveData<List<QuestionGroupView>> questionGroupsInSubElementLiveData(long subElementId);

    @Query("SELECT description FROM QuestionGroup WHERE _id = :questionGroupId")
    LiveData<String> getQuestionGroupDescription(long questionGroupId);
}