package net.rten.palmve.data.pool;

import androidx.room.DatabaseView;

@DatabaseView(
        "SELECT Question._id AS id, SubElement.designation AS subElement, "+
                "QuestionGroup._id as questionGroupId, "+
                "QuestionGroup.letter AS questionGroup, Question.tag as questionTag, "+
                "SubElement.designation || QuestionGroup.letter || Question.tag AS designation, "+
                "Question.withdrawn, Question.rightanswer AS rightAnswer, FTS_Question.description, "+
                "FTS_Answer.description AS answerText, "+
                "Answer._id as answerId, Answer.letter AS answerLetter, Question.figure AS figureId "+
                "FROM Answer "+
                "INNER JOIN FTS_Answer ON FTS_Answer.docid = Answer._id "+
                "INNER JOIN Question ON Question._id = Answer.question "+
                "INNER JOIN QuestionGroup ON QuestionGroup._id = Question.questiongroup "+
                "INNER JOIN SubElement ON SubElement._id = QuestionGroup.subelement "+
                "INNER JOIN FTS_Question on FTS_Question.rowid = Question._id"
)
public class QuestionViewForAnswerSearch extends QuestionView {
    public String answerText;
    public Integer answerId;
    public String answerLetter;
}
