package net.rten.palmve.data.test;

import androidx.annotation.NonNull;
import androidx.room.migration.Migration;
import androidx.sqlite.db.SupportSQLiteDatabase;

public class Migration_6_8 extends Migration {
    public Migration_6_8() {
        super(6, 8);
    }

    @Override
    public void migrate(@NonNull SupportSQLiteDatabase database) {
        database.execSQL("DROP VIEW IF EXISTS QuestionStatsView");
        database.execSQL("DROP VIEW IF EXISTS QuestionGroupStatsView");
        database.execSQL("CREATE VIEW `QuestionStatsView` AS SELECT element, elementdatefield AS elementDate, COUNT(tq._id) AS questionCount, tq.qgroupid AS questionGroupId, tq.questionid AS questionId, tq.questiondesignation AS designation, tq.providedanswer == tq.correctanswer AS answersWereCorrect FROM TestHistory th INNER JOIN TestQuestions tq ON tq.testid = th._id GROUP BY element, elementDate, questionId, answersWereCorrect");
        database.execSQL("CREATE VIEW `QuestionGroupStatsView` AS SELECT element, elementdatefield AS elementDate, COUNT(tq._id) AS questionCount, tq.qgroupid AS questionGroupId, NULL AS questionId, SUBSTR(tq.questiondesignation, 1, 3) || \"??\" AS designation, tq.providedanswer == tq.correctanswer AS answersWereCorrect FROM TestHistory th INNER JOIN TestQuestions tq ON tq.testid = th._id GROUP BY element, elementDate, questionGroupId, answersWereCorrect");
    }
}
