package net.rten.palmve.data.test;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.ForeignKey;
import androidx.room.Index;
import androidx.room.PrimaryKey;

import java.util.Calendar;

@Entity(
        foreignKeys = {@ForeignKey(entity = TestQuestions.class, parentColumns = "_id", childColumns = "firstquestion")},
        indices = {@Index(value = "firstquestion")}
)
public class TestHistory {
    @PrimaryKey
    @ColumnInfo(name = "_id")
    public Long id;
    @ColumnInfo(name = "datestarted")
    public Calendar dateStarted;
    @ColumnInfo(name = "datecompleted")
    public Calendar dateCompleted;
    @ColumnInfo(name = "element")
    public String elementName;
    @ColumnInfo(name = "elementversion")
    public Integer elementVersionNumber;
    @ColumnInfo(name = "elementdatefield")
    public String elementDateField;
    @ColumnInfo(name = "state")
    public TestState testState;
    @ColumnInfo(name = "finalpercentage")
    public Integer testScorePercent;
    @ColumnInfo(name = "firstquestion")
    public Integer firstQuestionId;
    @ColumnInfo(name = "qcount")
    public Integer questionCount;
}
