package net.rten.palmve.data.test;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.ForeignKey;
import androidx.room.Index;
import androidx.room.PrimaryKey;

import net.rten.palmve.data.pool.Answer;

@Entity(
        foreignKeys = {
                @ForeignKey(entity = TestHistory.class, parentColumns = "_id", childColumns = "testid",
                        onDelete = ForeignKey.CASCADE),
                @ForeignKey(entity = TestQuestions.class, parentColumns = "_id", childColumns = "nextid")
        },
        indices = {
                @Index(value = "testid"),
                @Index(value = "nextid")
        }
)
public class TestQuestions {
    @PrimaryKey
    @ColumnInfo(name = "_id")
    public Integer id;
    @ColumnInfo(name = "testid")
    public Integer testId;
    @ColumnInfo(name = "questionid")
    public Integer questionId;
    @ColumnInfo(name = "questiondesignation")
    public String questionDesignation;
    @ColumnInfo(name = "qgroupid")
    public Integer questionGroupId;
    @ColumnInfo(name = "providedanswer")
    public Answer.AnswerCode providedAnswer;
    @ColumnInfo(name = "correctanswer")
    public Answer.AnswerCode correctAnswer;
    @ColumnInfo(name = "qindex")
    public Integer indexOfQuestionInTest;
    @ColumnInfo(name = "nextid")
    public Integer nextQuestionId;
}
