package net.rten.palmve.fragments;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.ViewModelProvider;

import net.rten.palmve.R;
import net.rten.palmve.models.FigureModel;

public class ViewFigureFragment extends Fragment {
    static public final String TAG = "ViewFigureFragment";

    private ImageView _imageView;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.view_figure, container, false);
        rootView.setTag(TAG);
        return rootView;
    }

    @Override
    public void onViewCreated(@NonNull View view, Bundle savedInstanceState) {
        _imageView = view.findViewById(R.id.viewFigureImageView);
        FigureModel model = new ViewModelProvider(requireActivity()).get(FigureModel.class);
        model.getFigureBmpCopy().observe(getViewLifecycleOwner(), bmp -> _imageView.setImageBitmap(bmp));
    }
}
