package net.rten.palmve.utilities;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.DiffUtil;

import net.rten.palmve.data.pool.PoolItemWithDescriptionAndDesignation;

public class PoolItemDiffCallback<IV extends PoolItemWithDescriptionAndDesignation>
        extends DiffUtil.ItemCallback<IV> {
    @Override
    public boolean areItemsTheSame(
            @NonNull IV oldItem, @NonNull IV newItem) {
        // Items do not change, so if IDs are the same, items are the same.
        return oldItem.id.equals(newItem.id);
    }

    @Override
    public boolean areContentsTheSame(
            @NonNull IV oldItem, @NonNull IV newItem) {
        // Contents of items don't change so we can just assume they're the
        // same if the IDs are the same.
        return areItemsTheSame(oldItem, newItem);
    }
}